Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
billsballbag Posted on 11/08/2013 20:42
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message
 
1. Look for outside investment with a plan revolving around....

2. A new coaching unit - Darren Maddy / Phil Simmons / Paul Nixon - all very well respected and come with history.

One of them.
Two of them.
All of them.

3. Look at Derbyshire 3 years ago. Same predicament. Youth and not much more.

4. Get in a leader with the right attitude on the field.

Unrealistic? Derbyshire in league one beating Sussex, Northants challenging for promotion and off to T20 finals day.
IP: Logged
Sbody8 Posted on 19/08/2013 18:47
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
1 - Totally agree, assume that this is why we have just parted with the commercial manager (or hope this is why...due to the failure to find any substantial funding
2 - All dependent on 1, as we currently have zero money. I assume this is why PW is moving upstairs as we can't afford to get rid.

With Henderson off the wages, if we could get shot of Sarwan (never around) and Hoggard (perenially injured) then maybe we could put 3 senior wages towards this batter and another senior bowler. Any thoughts??
3 - I think they may have someone with a bit of cash. They're almost like our team of the 90's, bringing in hungry players with a point to prove (Wells, Habib, Millns, etc), although they are coming straight back down again.
4 - A leader / overseas who actually spends some time at the club would be beneficial. Interesting how the move to get rid of HD favouring youngsters has backfired. Some people have talked about Goodwin, he's probably what we need now, although it would be a very short term fix. Maybe someone in the HD mould though, Aussie or South African middle order batter whose late 20's / early 30's with no chance of international recognition but also not likely to swan off to any one of these T20 Premier leagues.
IP: Logged
Glennyfox Posted on 21/08/2013 19:50
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Whole heartedly agree.

Cash may be an issue but Siddall said that we would be in profit this year following a good t/20 so whilst clearly not in possession of lots of cash, It should set them back loads. I actually think that they can't afford not to get rid of PW. The performance of the side under his leadership is costing us finance and performance. I would keep at this point Smith but get rid of Tennant. He has been a bowling coach for years and it is time for someone else and a fresh approach.

One of the main things that I think we lack is a positive mental attitude. We let sides dominate us and clearly confidence is shot. Simmons/Maddy/Nixon are well respected but I am not sure what their pedigree is like coaching wise, Maddy and Nixon wise. If you want a PMA, I would be looking at a leg up of an Aussie. Langer? Hodge with the local connection. There is too much of a attitude of looking not to lose than trying to win and there is too much of an inferiority complex being little old Leicester. Derbys and Northants are in the same boat but have pushed on.


Sarwan for me is solid. This year he has been away but his record for WI has been poor so don't see that being an issue next year. Listening to him early in the season talking about developing the youngsters is poor though and I think it is a symptom of a failing team. It is a fall back option on the back of failure.

We have too many players who should do better and are failing. We also have some very average players that at their best don't take us anywhere. In the current game we are giving a look at Raine. There will always be players of such nature or the loan system that means that a club like ours with limited resource doesn't need to carry a massive squad. We often take 2 average players on in case of 1 failing. I would trim the squad by 4-5 of the fringe players and get 2 solid choices in. The O'Brien signing was in that category for me. Would we miss Thornely? No. He has a fair chance at several counties but it hasn't worked. Williams likewise. Hoggard is injured too much. Replace these 3 with 1 decent player.

We lack a leader. We have had 3 captains this year. Sarwan who has been absent, Cobb whose championship deterioration is quite alarming and Boyce, a player who would not get into any other side on the circuit. A leader has to lead as an individual but has to lead with performances. Boyce is 28 and has played virtually everygame for the last 4-5 years. His best season is a 750 run season. Poor. When he gets a big score he does it that slowly it is mostly to the detriment of the team and we miss out on batting points and miss out on a chance to press home an advantage. Time for a change.

Cobb is a major disappointment and should only be retained as a one day player. Get rid of Boyce and Thornely. Henderson, Hoggard and Williams. Only 1 is playing and he is poor. Get rid of that 6 and get 1 bat and 1 bowler in.

You look at our squad and on paper it is as competitive as some of the others but we struggle to get players playing at their potential and in Cobb and Buck, we have 2 players who should have been the mainstay of the side going backwards.

Change from top to bottom is required.
IP: Logged
Sbody8 Posted on 24/08/2013 08:59
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Boyce must do better but he's by no means our worst batsman, 557 in 17 inns at 34.8

O'Brien 564 in 19 at 29.7
Smith 407 in 15 at 29.1
Thornely 233 in 13 at 17.9
Cobb 122 in 13 at 10.2
Burns and Sarwan between them!! 469 in 16 at 33.5
Even Thakor seems to have gone backwards recently 512 in 16 at 39.4

Granted Boyce probably wouldn't be good enough in most teams but until we have O'Brien, Thakor and a couple of others batting like Eckersley we can't really afford to get rid.
IP: Logged
Glennyfox Posted on 24/08/2013 19:01
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Sbody8, wouldn't generally disagree with that and can see where you are coming from but for Boyce, this is as good as it gets and it isn't good enough and he is 28.

With Smith, O'Brien and Thakor in particular, they have it in them to do more. Boyce hasn't.

Smith and O'Brien have scored runs in t/20 and YB40. O'Brien is a stumper aswell. Thakor bowls.

Thornely can't do it. Cobb's regression is staggering but he can add to t/20 and YB40. Burns did not add what he should. Sarwan has the class and ability to do more.

They all need to do more but apart from Boyce, they have the ability to.

In addition and I accept that this may be harsh (especially given the current plight of LCCC) but when he gets runs he drags the team down with his slow rate and his doggedness. When he gets in, he doesn't push on and as a result we can never press home an advantage for bonus points or totals wise. Boyce sums LCCC up. His game plan and approach is a trying not to lose approach rather than trying to win. He has been a mainstay in our batting line up for the worst period of the clubs history performance wise. He is also one of the captains.

We will never improve and our fortunes won't chage with him in the side or with Thornely. I still think Cobb has it but he has had enough chances and I would axe him from the 4 day set up.
IP: Logged
Sbody8 Posted on 24/08/2013 19:59
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
I suppose I'm just hopeful of more and clutching at very small straws. With him having come through the youth ranks I'm hoping he'll perform rather than looking objectively at the performances. He's certainly never pulled up any trees in one day formats either so it's not like I could use that to defend him.
One thing that surprises me is that he's only been out in single figures once this year, yet he very rarely gets past 40. I just wonder whether it's a mental thing with him but as you say, at 28 maybe he's probably had more than enough chances.

I'd be interested to get your thoughts on the bowling front. Injuries galore, a highly paid senior pro who's been off cooking poor scallops and 'the next big thing' who has gone backwards in the past 3 years.
IP: Logged
foxy_88 Posted on 24/08/2013 23:15
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
The following 7 players are out of contract:

Freckingham
Hoggard
Ireland
Naik
Robson
Wells
Williams

Henderson has already retired.

Boyce, Buck, Cobb, Eckersley, Sarwan, Smith, Sykes, Taylor, Thakor, Thornely and Wyatt are contracted for next season.

O'Brien is contracted for 2014 and 2015.

Will Burns, Shakib return? Will Raine be offered a contract?
IP: Logged
Joe91 Posted on 25/08/2013 09:08
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Its hard to know where to start but I don't think that the answer lies with just dispensing with players like Boyce, as an example, who is simply not good enough to be playing first class cricket as a career. But there are others who are in the same category.

I think that the right approach is to start with new leadership. Everyone can see that the Head Coach has been converted into a 'new role' as a 'Director of Cricket' half way through a season as a device and alternative to paying him off.

The coaching hierarchy needs replacing. The current bunch are steeped in continuous failure and the rot has now extended to the potentially most valuable players with Cobb being a prime example. Dressing room morale must be at a below rock bottom level - and if it isn't something is even more seriously wrong if they don't understand how abysmal they are.

The club management have also contributed to the malaise with shocking decision making. The retention/ extending of the contracts for Hoggard and Henderson had expensive mistakes written all over them at the time.

I realise that the financial challenges of running Leicestershire are very difficult - but they could have done far, far better than they have.

It is all very sad.
IP: Logged
Glennyfox Posted on 25/08/2013 11:29
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Joe agree with all of that about coaching and the thought process of the management and the coaches. Re Boyce, you said that he isn't good enough. I fail to see why he shouldn't be considered for the chop then and all of those who are in the same category. Total shake up of management, coaches and players. Look at the strategy and develop a squad accordingly. We need to look at 2 years and focus on the team for 2015. The list above shows dead wood still contracted for another year that is taking up budget.


In the game at Glams that ended yesterday, we have Wells and Raine in, yet no Ireland, Naik, Hoggy, Williams. 2 of these are permanantly injured and 2 can't get in. Going forward release all 4. Spin bowling is an issue but Naik is never available.

Freckingham has been a surprise and bonus package and deserve a new contract. Wells has come through and deserves one. Robson highy regarded but we need to have a look at high before the season ends.

There will always be a Raine available so can carry a reduced squad. Without Henderson, Hoggy, Williams, Ireland and Naik we should be able to get 2 players who can be relied upon.

Against Glams or bowlers were Wyatt, Sykes, Freckingham, Wells, Raine and Cobb. There can't be a more youthful or inexperienced attack in cricket. In addition this and more importantly in some respects this has to be the cheapest attack in cricket. With this as the current core, there has to be a better recruitment policy to add to these and aid these.


As foxy says, Boyce, Buck, Cobb, Eckersley, Sarwan, Smith, Sykes, Taylor, Thakor, Thornely and Wyatt are contracted for next season.O'Brien is contracted for 2014 and 2015.

How many of these really look like being part of a successful team in 2015?

Replace Hoggy, Claude, Williams, Ireland, Naik with a first choice spinner and a first choice quickie.

Buck and Cobb have 1 year to prove himself worthy of a place in 2015.

At the end of 2014 get rid Boyce and Thornely and review the overseas.

2014
O'Brien
Smith
Super Ned
Sarwan
Thakor
Wells
Raine
Freckingham
Sykes
Wyatt
Buck

Spinner
Quickie

Boyce
Thornely
Robson
Taylor
Cobb

That is a squad of 18. Plenty. With right recruitment for the 2 positions ready for 2015 we will be stronger and better with options and less deadwood on a reduced budget.

In addition, give Super Ned a 5 year deal.

Nice to have a debate at last[smi]

IP: Logged
Sbody8 Posted on 25/08/2013 23:28
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
2014
O'Brien Hoping for better next season in the CC
Smith Regressed and needs to ensure he doesn't end up as the next Boyce
Super Ned A blueprint for the type of signing we need, reminds me a little of Habib in the way that he has come through.
Sarwan If he can play regularly I'd be happier.
Thakor Has gone backwards since moving up order and bowling leaves a lot to be desired. Needs to gain an extra yard of pace and develop into a proper all rounder. Before he then joins Notts!!
Wells Way too early but looks out of depth in CC, would like to see him blooded for a whole season in 1 day and then added to CC towards the end.
Raine See Wells
Freckingham Like the look but expensive, would be interesting to see how he does next year.
Sykes Again looking out of his depth but very young and due to the Naik's injury, we may need to stick with him. We also have England U19 Ben Collins - will he be given a chance
Wyatt Not nasty enough,needs to toughen up
Buck Regressing, likes the drink and has friends who could be leading him astray (according to a relative I work with). She also tells me he may be moving on soon to further his career but I can't think who'd be interested as he's consistently gone backwards since 2010.

Spinner I may be more interested in a middle order batter like Murray Goodwin but think we have no chance. Or someone like Darren Stevens if Kent let him go.
Quickie Definitely required and one who stays fit!! The Aussies seem to have them coming out of their ears at the moment, there must be a kolpak or 2 out there who would fit the bill.

Boyce Would be good to keep as back up but eventually will fall into obscurity ala du toit
Thornely Woeful and needs to go, doesn't even score runs in the 2's.
Robson Hardly pulling up trees in the 2's but I would suggest blooding him in the 1 day side and saying, earn a contract.
Taylor Needs to develop an extra yard of pace and push for a number 6 spot. His bowling at present is 1 day useful but trundle in the CC. But I believe he has potential.
Cobb What go do...has the one day captaincy ruined him. When we one the T20 in 2011 he was given the openers role and told to play his game, with no responsibility or blame. I am sure that captaincy ways on his mind and something needs to give. And he doesn't seem to turn the ball!! 2 years to make or break.


Of the 7 out of contract, Hoggard must be going and Henderson is already done.
I'd reduce Williams as he seems to be a poor mans Masters and injured too boot.
I like the look of Ireland but again injury prone. However, with Hoggard seemingly going he could be the only senior pro we have.
I think we'll offer Naik another contract but it needs to be do or die. He seemd to be able to bat a couple of years ago and this seems to have gone by the wayside. A real disappointment. 29 so no spring chicken, although as can be seen by Claude, he could easily have another 10 years if we wasn't so injury prone. I'd give him a year and if injuries occur again, draw a line under him and move on.#
Freckingham must stay and I can only assume that he'll get an extension.
Robson and Wells, give them a year with one day contract and play them all year.

I believe it was Sussex who blooded youngsters in the 1 day format a few years ago (losing the majority of their games)and then went on to win the CC a few years later with a number of the team having progressed from this one day team. I'd like to see us play a handful of them to see whether they have it or not.

This comes across as very negative but maybe one more step backwards is required before we can move forwards.

that's the playing staff but what about the hierarchy??? So we obviously have no money hence Whitticase being shifted upstairs rather than off the books. We have an ambassador who has cleared off to the West Indies and lead a team to victory, surely we have to tap into this energy / enthusiasm.

The commercial director has just gone, did he jump or was he pushed? Well our commercial department seems to have been a shambles in recent years, anyone remember investors in cricket?
I'm also amazed by the arrogance over the funding and new building. The reports coming from the club and the mercury act as if it's a done deal but if we think that the Aylestone residents are going to accept the proposal then we must be mad. It'll take a huge amount of hard work and luck to get this proposal through, does anyone how we're progressing on this front?

I'm sorry that this is such a long post but there's so much going on at the moment that I find it hard to put something coherent together. but I wanted to get it all out there for people to comment on.

Don't fall asleep reading it...
IP: Logged
Glennyfox Posted on 26/08/2013 11:00
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
Can't disagree with that. Wells, Raine and Sykes have only just tasted CC cricket. Worth a look for next year. I like the older head in the middle that can add that class such as Goodwin.

An issue is that we keep lurching from 1 or 2 year contacts to another in a very short term manner and keep trying to sign someone Williams/Ireland on short term deals who may or may not work.

I quite like Ireland but it is no good him watching from the sidelines. I would push the boat out and get take the uncertainty out of it.

With regard to Sussex playing youngsters, we have tried this for the last few years. Been at the bottom and league whipping boys for the sake of blooding youngsters. It may have been that Sussex did it as part of a real plan where as we just toyed with the idea without any longer term focus other than giving the youngsters a game.

I would have thought that Buck may be on a reasonable contract as at the time he would have been sought after. Not sure that would be the case now but who knows. Gurney has improved since he left us.

Naik looked like shaping into a reasonable all rounder who could get you runs or stave off the opposition with a view to being a solid 7 or 8. Massive backwards strides.

Cobb should be better. His decline is alarming.

Coaching wise, in reality i just want PFW and Tennant out. I look at the improvement o Gurney Notts, the Cobb, Naik, Buck, Smith (possibly Thakor) situation of youngsters not progressing and worry. We invest heavily in comparitive terms in these youngsters and it is being wasted. I don't think that they can afford not to get rid of PFW etc. Is he not on a fixed term contract?

It must be a bit of a nightmare working in marketing/commercials at LCCC. Whipping boys, bottom of league, general belief that we are a feeder county and for all intents and purpose a minor county. Nothing to sell and nothing to market.

A spark on the playing front is needed but the whole operation needs a review with tough decisions to be made.


IP: Logged
Joe91 Posted on 30/08/2013 07:38
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
I think that LCCC should re-organise the management structure something along the lines of Glamorgan but in our case downgrade the chief executive position and delete the imaginary title recently accorded to PW. Then use that resource to fund one decent appointment to provide new leadership of the cricket management side.

The administratve side doesn't justify a big money post. The commercial side probably does but no one could promote and market the club until it starts to play some competitive cricket.

As to Boyce, he does seem to be a bit of a whipping bpy re criticism but the club has asked for this. He has been used as an acting captain in Championship/ some other games for some time now and this is highly irritating that a player who is of only second team standard should be given that role.

The current coaching staff are disfunctional. Players with potential generally regress rather than progress. Bowling coaching has been inadequate for years and I believe that we simply do not know how to develop young bowlers correctly but as people have said the decline in form of batters like Cobb and it looks like Thakor is really worrying.
IP: Logged
Sbody8 Posted on 30/08/2013 20:28
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
A rear guard action today, is this the first time this season.
And now for the next concern, Ned is holding us together just as Chris Read's career at Notts starts to come to an end, 35 this year...you couldn't make it up.

Back to our club, yep, wholesale changes required. Do we have the money to make the hierarchy redundant though??

The regression of players really is alarming isn't it. Cobb should be scoring 1000 runs, prior to last week he had less than Freckingham.
Thakor could have scored 1000, maybe moving him up the order has put too much pressure on him. 400 in his first 10 inns, 140 in his last 9.
Smith 345 in first 10, 70 in next 7..
Buck 70 overs and 5 wickets at 50...
Best bowling average...Hoggard. And he's only bowled in 6 inns.

No idea what I'm trying to say, I just like stats!! But something has gone seriously wrong. Maybe they do lack Sarwan as a leader???
IP: Logged
Joe91 Posted on 03/09/2013 07:28
Root and Branch reform

Report Message | Email Message To A Friend | Reply To Message 

 
So much drastically wrong throughout the club that as we have said before, its difficult to know where to start...but it surely must be at the top (except there isn't one!),

Your point re Hoggard is correct and depressingly predictable. Hoggtard is paid a lot of money and rarely plays but it is clear that he is still the premier bowler. No future in that though.

Unfortiunately i don't think that Sarwan is much of a captain. A good standard and reliable bat though.

The captaincy is hopefully still a potential inducement in recruiting an experience3d outsider although it can't be that much of a joy.

Somehow we have to get to a point where we can fund a clear out and then hopefully start to build a viable team and club.

One undeniable fact is that LCCC is only a small business - in contrast to the the test match ground counties that are big businesses - and we don't need an expensive executive hierarchy. Cut the non cricket staff to the bone and stop picking the players who fail match in, match out; season in and season out.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103